aboutsummaryrefslogtreecommitdiff
path: root/watch_aggietimed.sh
diff options
context:
space:
mode:
authorLizzy Hunt <logan.hunt@usu.edu>2023-02-28 12:49:06 -0700
committerLizzy Hunt <logan.hunt@usu.edu>2023-02-28 12:49:06 -0700
commitbc1e54ecfadd23c071edeaa3677c909b76d06008 (patch)
treec7340251bd19dae41eb429b67134c430ae21da15 /watch_aggietimed.sh
parentf45d00440188888b17a6125f656eb975bfe8a9dc (diff)
downloadaggietimed-bc1e54ecfadd23c071edeaa3677c909b76d06008.tar.gz
aggietimed-bc1e54ecfadd23c071edeaa3677c909b76d06008.zip
Use SAML, move to shell script, update readme
Diffstat (limited to 'watch_aggietimed.sh')
-rwxr-xr-xwatch_aggietimed.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/watch_aggietimed.sh b/watch_aggietimed.sh
new file mode 100755
index 0000000..d8cce82
--- /dev/null
+++ b/watch_aggietimed.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+socket=/tmp/aggietimed.sock
+env_file=/home/lizzy/work/simple_scripts/aggietime_cli/.env
+
+export $(cat $env_file | xargs)
+
+while true
+do
+ aggietimed -d -s $socket
+ if [ $? -eq 0 ]
+ then
+ break
+ else
+ sleep 1
+ fi
+done